/// The [globals](https://nodejs.org/api/globals.html) module.
@JS()
library nodejs_interop.globals;

import 'package:js/js.dart';

/// The directory name of the current module.
@JS('__dirname')
external String get dirname;

/// The file name of the current module. This is the resolved absolute path of the current module file.
@JS('__filename')
external String get filename;

/// Requires the module with the specified [identifier].
@JS()
external dynamic require(String identifier);
