# Node.js interoperability for Dart
![Runtime](https://img.shields.io/badge/dart-%3E%3D1.24-brightgreen.svg) ![Release](https://img.shields.io/pub/v/nodejs_interop.svg) ![License](https://img.shields.io/badge/license-MIT-blue.svg) ![Coverage](https://coveralls.io/repos/github/cedx/nodejs-interop.dart/badge.svg) ![Build](https://travis-ci.org/cedx/nodejs-interop.dart.svg)

## Requirements
The latest [Dart SDK](https://www.dartlang.org) and [Pub](https://pub.dartlang.org) versions.
If you plan to play with the sources, you will also need the latest [Grinder](http://google.github.io/grinder.dart) version.

## Installing via [Pub](https://pub.dartlang.org)

### 1. Depend on it
Add this to your package's `pubspec.yaml` file:

```yaml
dependencies:
  nodejs_interop: *
```

### 2. Install it
Install this package and its dependencies from a command prompt:

```shell
$ pub get
```

### 3. Import it
Now in your [Dart](https://www.dartlang.org) code, you can use:

```dart
import 'package:nodejs_interop/nodejs_interop.dart';
```

## See also
- [API reference](https://cedx.github.io/nodejs-interop.dart)
- [Code coverage](https://coveralls.io/github/cedx/nodejs-interop.dart)
- [Continuous integration](https://travis-ci.org/cedx/nodejs-interop.dart)

## License
[Node.js interoperability for Dart](https://github.com/cedx/nodejs-interop.dart) is distributed under the Apache License, version 2.0.
